DateFormat

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl.write
Class DateFormat

    java.lang.Object
      jxl.biff.RecordData
          jxl.biff.WritableRecordData
              jxl.biff.FormatRecord
                  jxl.write.biff.DateFormatRecord
                      jxl.write.DateFormat

All Implemented Interfaces:
  jxl.biff.ByteData, jxl.biff.DisplayFormat, Format

    public class DateFormat

extends jxl.write.biff.DateFormatRecord
implements jxl.biff.DisplayFormat

A custom user defined number format which may be instantiated within user applications in order to present date and time values in the appropriate format. The string format used to create a DateFormat adheres to the standard java specification, and JExcelApi makes the necessary modifications so that it is rendered as its nearest equivalent in Excel. Once created, this may be used within a CellFormat object, which in turn is a parameter passed to the constructor of the DateTime cell

Field Summary

Fields inherited from class jxl.biff.FormatRecord
`biff7, biff8, logger`

Constructor Summary
`DateFormat(java.lang.String format)` Constructor.

Method Summary

Methods inherited from class jxl.biff.FormatRecord
`equals, getData, getDateFormat, getFormatIndex, getFormatString, getIndexCode, getNumberFormat, hashCode, initialize, isBuiltIn, isDate, isInitialized, isNumber`

Methods inherited from class jxl.biff.WritableRecordData
`getBytes`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface jxl.biff.DisplayFormat
`getFormatIndex, initialize, isBuiltIn, isInitialized`

Constructor Detail

### DateFormat

    public DateFormat(java.lang.String format)

  Constructor. The date format that is passed should comply to the standard Java date formatting conventions

  Parameters:
    `format` - the date format

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD